<?php

$objGet = System::genObject('get');

list($minDate,$maxDate) = @explode(' - ',$objGet->range);
list($minDay,$minMonth,$minYear) = @explode('.',$minDate);
list($maxDay,$maxMonth,$maxYear) = @explode('.',$maxDate);

$objMinDateLimit = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMinDateLimit->AddDays(-30);
$objMaxDateLimit = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');
$objMaxDateLimit->AddDays(30);

$objMinDate = new QDateTime($minYear.'-'.$minMonth.'-'.$minDay.'00:00:00');
$objMaxDate = new QDateTime($maxYear.'-'.$maxMonth.'-'.$maxDay.'23:59:59');

$now = QDateTime::Now();

    $objDb = QApplication::$Database[1];
    $strSql = "
       SELECT activity_nursing_medical_record.patient_code,
       activity_nursing_medical_record.patient_name,
       activity_nursing_medical_record.form_name,
       activity_nursing_medical_record.create_time,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab' AS tanggal,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vJamPermintaanPemeriksaanLab' AS jam,
       	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vDokterPengirimLabId' AS id_dokter_pengirim,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vHematologiLengkapLab' AS hematologi_lengkap,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnemiaLab' AS anemia,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vFaalHemostasisLab' AS faal_hemostasis ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vHematologiLainLab' AS hematologi_lain ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vUrinalisaLab' AS urinalisa,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vFaalHatiLab' AS faal_hati ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vDiabetesLab' AS diabetes ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vLemakLab' AS lemak ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vJantungLab' AS jantung ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaCairanLab' AS analisa_cairan ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vGinjalLab' AS ginjal ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vImunoSerologiLab' AS imuno_serologi ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTuberkulosisLab' AS tuberkulosis ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaFaecesLab' AS analisa_faeces ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vElektrolitLab' AS elektrolit ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTiroidLab' AS tiroid ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vPenandaTumorLab' AS penanda_tumor ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTesNarkobaLab' AS tes_narkoba ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaGasDarahLab' AS analisa_gas_darah ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaGasDarahSuhuLab' AS analisa_gas_darah_suhu ,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaGasDarahFiO2Lab' AS analisa_gas_darah_fio2,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vAnalisaGasDarahIMVLab' AS analisa_gas_darah_imv,
	convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vPemeriksaanTambahanLab' AS pemeriksaan_tambahan ,

       hmis_patient_nursing.first_name,
       hmis_patient_nursing.gender,
       hmis_patient_nursing.date_of_birth,
       hmis_patient_nursing.department_name

       FROM activity_nursing_medical_record LEFT JOIN hmis_patient_nursing ON ( hmis_patient_nursing.id = activity_nursing_medical_record.patient_nursing_id )
       WHERE
	 ( COALESCE ( convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab' , activity_nursing_medical_record.create_time::TEXT)::DATE  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )
	--( smart_to_date( COALESCE ( convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab'::TEXT , activity_nursing_medical_record.create_time::TEXT) )  BETWEEN '" . $objMinDate->PhpDate('Y-m-d') . "'::DATE AND '". $objMaxDate->PhpDate('Y-m-d') ."'::DATE )

         --convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab' <= '$objMaxDate' AND  convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab' >= '$objMinDate'
         AND activity_nursing_medical_record.form_name = 'PERMINTAAN LAB'
         AND activity_nursing_medical_record.state = 'A' AND hmis_patient_nursing.state='A'
       ORDER BY activity_nursing_medical_record.create_time desc
	--convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vTanggalPermintaanPemeriksaanLab' ASC, 
	--convert_to_json(regexp_replace(activity_nursing_medical_record.json, '\\\\u....' , '' , 'g'))->>'vJamPermintaanPemeriksaanLab' ASC
    ";

    $objDbResult = $objDb->Query($strSql);
    
    // ------------------------------
?>


<!DOCTYPE html>
<html>

<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Laporan</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <script src="<?= __ASSETS__ . '/user/js/require.js' ?>"></script>
    <!--<link href="<?= __ASSETS__ ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet">-->
    <style>

@media print{ .noprint{display:none;}}
.table {
  font-family: arial;
  border-collapse: collapse;
  width: 100%;
}

.table td, .table th {
  border: 0px solid #ddd;
  padding: 5px;
}

.table tr:nth-child(even){background-color: #f2f2f2;}

.table tr:hover {background-color: #ddd;}

.table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #EFC3CA;
  color: black;
  border:1px solid #5DE2E7;
}


    </style>

</head>

<body>
<div class="noprint">
    <a href="#" onclick="window.close()">
    <img src="/promedika/assets/user/images/arrow.jpg" title="print" width="30" height="30">
    </a>
    <button onclick="ubahExcel()">Export Excel</button>
</div>


<div class="container" style="margin-top: 20px; padding: 20px 40px">

<table id="tableLaporan" class="table">
    <thead>
      <tr>
            <th colspan="38" style="text-align:left; background-color:white;color:black;">LIS PERMINTAAN PEMERIKSAAN LAB </th>
      </tr>
      <tr>
            <th></th>
            <th>Tanggal:</th>
            <th colspan="36" style="text-align: left"><?= $objGet->range ?></th>
      </tr>
      <tr>
	<th>NO</th>
        <th>TANGGAL</th>
        <th>NO RM</th>
        <th>NAMA</th>
        <th>Tgl Lahir</th>
        <th>JK</th>
        <th>DOKTER PENGIRIM</th>
        <th>RUANG</th>
        <th>HEMATOLOGI LENGKAP</th>
        <th>ANEMIA</th>
        <th>FAAL HEMOSTATIS</th>
        <th>HEMATOLOGI LAIN</th>
        <th>URINALISA</th>
        <th>FAAL HATI</th>
        <th>DIABETES</th>
        <th>LEMAK</th>
        <th>JANTUNG</th>
        <th>ANALISA CAIRAN</th>
        <th>GINJAL</th>
        <th>IMUNO-SEROLOGI</th>
        <th>TUBERKULOSIS</th>
        <th>ANALISA FAECES </th>
        <th>ELEKTROLIT</th>
        <th>TIROID</th>
        <th>PENANDA TUMOR</th>
        <th>TES NARKOBA</th>
        <th>ANALISA GAS DARAH</th>
        <th>PEMERIKSAAN TAMBAHAN</th>

      </tr>
    </thead>
    <tbody>
<?php
if ($objDbResult->CountRows() > 0) {
    $no = 0;
    while ($row = $objDbResult->FetchArray()) {
    $no++;
    $objHmisPatient = HmisRefPatient::LoadByMr($row['mr']);
    if($row['id_dokter_pengirim']){
	$objNamaDokter = HmisRefEmployee::LoadById($row['id_dokter_pengirim']);
	$NamaDokter = $objNamaDokter->FirstName;

    }
?>


        <tr>
	    <td><?= $no ?></td>
            <!--<td><?= $row['tanggal'] ?>, <?= $row['jam'] ?></td>-->
            <td><?= date('d-m-Y H:m:s', strtotime($row['create_time'])) ?></td>
            <td><?= $row['patient_code'] ?></td>
            <td><?= $row['patient_name'] ?></td>
            <td><?= $row['date_of_birth'] ?></td>
            <td><?= ($row['gender'] == 'MALE') ? 'L' : 'P' ?></td>
            <td><?= $NamaDokter ?></td>
            <td><?= $row['department_name'] ?></td>
            <td><?= $row['hematologi_lengkap'] ?>, <br><br> <?= $row['anemia'] ?></td>
            <td><?= $row['anemia'] ?></td>
            <td><?= $row['faal_hemostasis'] ?></td>
            <td><?= $row['hematologi_lain'] ?></td>
            <td><?= $row['urinalisa'] ?></td>
            <td><?= $row['faal_hati'] ?></td>
            <td><?= $row['diabetes'] ?></td>
            <td><?= $row['lemak'] ?></td>
            <td><?= $row['jantung'] ?></td>
            <td><?= $row['analisa_cairan'] ?></td>
            <td><?= $row['ginjal'] ?></td>
            <td><?= $row['imuno_serologi'] ?></td>
            <td><?= $row['tuberkulosis'] ?></td>
            <td><?= $row['analisa_faeces'] ?></td>
            <td><?= $row['elektrolit'] ?></td>
            <td><?= $row['tiroid'] ?></td>
            <td><?= $row['penanda_tumor'] ?></td>
            <td><?= $row['tes_narkoba'] ?></td>
            <td><?= $row['analisa_gas_darah'] ?>, Suhu : <?= $row['analisa_gas_darah_suhu'] ?>, FiO2 : <?= $row['analisa_gas_darah_fio2'] ?>, IMV/VTA : <?= $row['analisa_gas_darah_imv'] ?></td>
            <td><?= $row['pemeriksaan_tambahan'] ?></td>
 
        </tr>
<?php
    }
}
?>
    </tbody>
</table>

</div>

</body>
</html>
